
<?php
if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class customercategorysale_model extends CI_Model {

public function __construct() {
parent::__construct();
}



 function getcustomersale($datefrom,$dateto) {
  
   $page = $this->input->post('page');
$limit = $this->input->post('rows'); // get how many rows we want to have into the grid
$sidx = $this->input->post('sidx'); // get index row - i.e. user click to sort
$sord = $this->input->post('sord'); // get the direction

//Default values
if (!$sidx) $sidx = 'ID';
if (!$sord) $sord = 'asc';

if (!$page) $page = 1;
if (!$limit) $limit = 25;
//Total Returned Rows Count


        $this->db->from('TICKETS');
         if ($datefrom && $dateto) {
            $this->db->where("DATE(RECEIPTS.DATENEW) >=", $datefrom);
            $this->db->where("DATE(RECEIPTS.DATENEW) <=", $dateto);
        } else if ($datefrom) {
            $this->db->where("DATE(RECEIPTS.DATENEW)=", $datefrom);
        }

    $this->db->join('RECEIPTS', 'RECEIPTS.ID = TICKETS.ID');
    $this->db->join('CUSTOMERS', 'CUSTOMERS.ID = TICKETS.CUSTOMER');
    $this->db->join('TAXCUSTCATEGORIES', 'TAXCUSTCATEGORIES.ID = CUSTOMERS.TAXCATEGORY');

$count = $this->db->count_all_results();
//Total Pages
if( $count > 0 && $limit > 0) {
$total_pages = ceil($count/$limit);
} else {
$total_pages = 0;
}

//Check requested page
if ($page > $total_pages) $page=$total_pages;

//Set start record number
$start = $limit*$page - $limit;

//Format data for jqGrid output
$data['page'] = "".$page."";
$data['total'] = "".$total_pages."";
$data['records'] = "".$count."";
        $table_name = "TICKETS";


  if ($datefrom && $dateto) {
            $this->db->where("DATE(RECEIPTS.DATENEW) >=", $datefrom);
            $this->db->where("DATE(RECEIPTS.DATENEW) <=", $dateto);
        } else if ($datefrom) {
            $this->db->where("DATE(RECEIPTS.DATENEW)=", $datefrom);
        }

    $this->db->join('RECEIPTS', 'RECEIPTS.ID = TICKETS.ID');
    $this->db->join('CUSTOMERS', 'CUSTOMERS.ID = TICKETS.CUSTOMER');
    $this->db->join('TAXCUSTCATEGORIES', 'TAXCUSTCATEGORIES.ID = CUSTOMERS.TAXCATEGORY');
    $this->db->select("TICKETS.ID,TAXCUSTCATEGORIES.NAME AS CUSTCATEGORY, CUSTOMERS.NAME AS CUSTOMER ,CUSTOMERS.MAXDEBT AS MAXIMUM ,CUSTOMERS.CURDEBT")->from($table_name);

    $this->db->group_by('CUSTOMERS.NAME');
    $this->db->order_by($sidx, $sord);
//$this->db->limit($limit, $start);
                    
        $rows = $this->db->get()->result_array();
        $i = 0;

        foreach ($rows as $row) {
            $data['rows'][$i]['id'] = $i + 1;
            $data['rows'][$i]['cell'] = array($row['ID'],$row['CUSTCATEGORY'], $row['CUSTOMER'],$row['MAXIMUM'],$row['CURDEBT']);
            $i++;
        }
        return json_encode($data);
    }


}


